Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration
Class AdministrationConfiguration

    java.lang.Object
      com.atlassian.bamboo.configuration.AdministrationConfiguration

    public class AdministrationConfiguration

extends Object

This class is a POJO holding the administrator supplied configuration.

Field Summary
`static int` | `DEFAULT_POLLING_PERIOD`
`static String` | `DEFAULT_URL`

Constructor Summary
`AdministrationConfiguration()`

Method Summary
`PipelineDefinition` | `addPipelineDefinition(PipelineDefinition newDefinition)`
`boolean` | `equals(Object o)` Auto-generated, reflection based equals
`String` | `getBaseUrl()` What is the base url for this server?
`String` | `getBuildDirectory()`
`Map` | `getBuilderLabelPathMaps()` Obtain the total set of builder maps.
`BuildExpiryConfiguration` | `getBuildExpiryConfiguration()`
`int` | `getDefaultRepositoryPollingPeriod()` What's the defualt build polling period - builds can change it if they like!
`String` | `getEmailFromAddress()` What is the from email address for all emails sent out by Bamboo?
`String` | `getEmailPrefix()` What is the email prefix for all emails sent out by Bamboo?
`String` | `getLicense()` The encoded license is held in the config
`Map` | `getPipelineDefinitions()`
`String` | `getSmtpServer()` What is the system's emailing server?
`String` | `getSystemJdkHome(String jdkLabel)` Obtains the JDK home directory for the given jdk label
`Map` | `getSystemJdks()` Obtain the available system JDKs
`String` | `getSystemProperty(String key)`
`int` | `hashCode()` Auto-generated, reflection based hashcode
`boolean` | `isEnableAnonymousAccess()`
`boolean` | `isEnableSignup()`
`boolean` | `isInitialised()` Has this configuration already been defined?
`boolean` | `isRemoteApiEnabled()`
`boolean` | `isUseGzipCompression()` Should we use gzip compression to compress Bamboo web pages? This is useful if Bamboo is being run over slow networks.
`void` | `removePipelineDefinition(long pipelineId)`
`void` | `setBaseUrl(String baseUrl)` Define the system base url
`void` | `setBuildDirectory(String buildDirectory)`
`void` | `setBuilderLabelPathMaps(Map builderLabelPathMaps)`
`void` | `setBuildExpiryConfiguration(BuildExpiryConfiguration buildExpiryConfiguration)`
`void` | `setDefaultRepositoryPollingPeriod(int repositoryPollingPeriod)` Update the defualt build polling period!
`void` | `setEmailFromAddress(String emailAddress)` Define the email address messages sent by bamboo are sent from.
`void` | `setEmailPrefix(String emailPrefix)` Define the system email prefix
`void` | `setEnableAnonymousAccess(boolean enableAnonymousAccess)`
`void` | `setEnableRemoteApi(boolean enableRemoteApi)`
`void` | `setEnableSignup(boolean enableSignup)`
`void` | `setLicense(String license)`
`void` | `setPipelineDefinition(PipelineDefinition pipelineDefinition)`
`void` | `setSmtpServer(String smtpServer)` Define the smtp server we should use
`void` | `setSystemJdks(Collection systemJdks)` Define the system JDK label, home tuples.
`void` | `setSystemProperty(String key, String value)`
`void` | `setUseGzipCompression(boolean useGzipCompression)` Specify if we should we use gzip compression to compress Bamboo web pages.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_URL

    public static final String DEFAULT_URL

See Also:
  Constant Field Values

### DEFAULT_POLLING_PERIOD

    public static final int DEFAULT_POLLING_PERIOD

See Also:
  Constant Field Values

Constructor Detail

### AdministrationConfiguration

    public AdministrationConfiguration()

Method Detail

### getSmtpServer

    public String getSmtpServer()

  What is the system's emailing server?

  Returns:
    the smtp server we are using

### setSmtpServer

    public void setSmtpServer(String smtpServer)

  Define the smtp server we should use

  Parameters:
    `smtpServer` - the server url

### getBaseUrl

    public String getBaseUrl()

  What is the base url for this server?

  Returns:
    the base url

### setBaseUrl

    public void setBaseUrl(String baseUrl)

  Define the system base url

  Parameters:
    `baseUrl` - the url

### isInitialised

    public boolean isInitialised()

  Has this configuration already been defined?

  Returns:
    true, if we have data, false otherwise

### getEmailPrefix

    public String getEmailPrefix()

  What is the email prefix for all emails sent out by Bamboo?

  Returns:
    The prefix

### setEmailPrefix

    public void setEmailPrefix(String emailPrefix)

  Define the system email prefix

  Parameters:
    `emailPrefix` - The email subject prefix.

### getEmailFromAddress

    public String getEmailFromAddress()

  What is the from email address for all emails sent out by Bamboo?

  Returns:
    the from email address.

### setEmailFromAddress

    public void setEmailFromAddress(String emailAddress)

  Define the email address messages sent by bamboo are sent from.

  Parameters:
    `emailAddress` - the from address

### getDefaultRepositoryPollingPeriod

    public int getDefaultRepositoryPollingPeriod()

  What's the defualt build polling period - builds can change it if they like!

### setDefaultRepositoryPollingPeriod

    public void setDefaultRepositoryPollingPeriod(int repositoryPollingPeriod)

  Update the defualt build polling period!

### getBuildDirectory

    public String getBuildDirectory()

### setBuildDirectory

    public void setBuildDirectory(String buildDirectory)

### isUseGzipCompression

    public boolean isUseGzipCompression()

  Should we use gzip compression to compress Bamboo web pages?

  This is useful if Bamboo is being run over slow networks. It incurs a slight performance penalty, and may not work for non-english languages.

  Returns:
    true iff we require gzip compression

### setUseGzipCompression

    public void setUseGzipCompression(boolean useGzipCompression)

  Specify if we should we use gzip compression to compress Bamboo web pages.

  Parameters:
    `useGzipCompression` -

### getSystemJdks

    public Map getSystemJdks()

  Obtain the available system JDKs

  Returns:
    The collection of `Jdk`s

### setSystemJdks

    public void setSystemJdks(Collection systemJdks)

  Define the system JDK label, home tuples. The builds simply reference the label and not the physical location of the JDK.

  Parameters:
    `systemJdks` - The label to physical home mappings

### getSystemJdkHome

    public String getSystemJdkHome(String jdkLabel)

  Obtains the JDK home directory for the given jdk label

  Parameters:
    `jdkLabel` - The label identifing the JDK
  Returns:
    The home directory. Null if there is no JDK with the given label

### getBuilderLabelPathMaps

    public Map getBuilderLabelPathMaps()

  Obtain the total set of builder maps. The key are the labels for the `Builder` and the values are `LabelPathMap`

### setBuilderLabelPathMaps

    public void setBuilderLabelPathMaps(Map builderLabelPathMaps)

### getLicense

    public String getLicense()

  The encoded license is held in the config

### setLicense

    public void setLicense(String license)

### isEnableSignup

    public boolean isEnableSignup()

### setEnableSignup

    public void setEnableSignup(boolean enableSignup)

### isEnableAnonymousAccess

    public boolean isEnableAnonymousAccess()

### setEnableAnonymousAccess

    public void setEnableAnonymousAccess(boolean enableAnonymousAccess)

### isRemoteApiEnabled

    public boolean isRemoteApiEnabled()

### setEnableRemoteApi

    public void setEnableRemoteApi(boolean enableRemoteApi)

### setBuildExpiryConfiguration

    public void setBuildExpiryConfiguration(BuildExpiryConfiguration buildExpiryConfiguration)

### getBuildExpiryConfiguration

    public BuildExpiryConfiguration getBuildExpiryConfiguration()

### equals

    public boolean equals(Object o)

  Auto-generated, reflection based equals

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Auto-generated, reflection based hashcode

  Overrides:
    `hashCode` in class `Object`

### getPipelineDefinitions

    public Map getPipelineDefinitions()

### setPipelineDefinition

    public void setPipelineDefinition(PipelineDefinition pipelineDefinition)

### addPipelineDefinition

    public PipelineDefinition addPipelineDefinition(PipelineDefinition newDefinition)

### removePipelineDefinition

    public void removePipelineDefinition(long pipelineId)

### setSystemProperty

    public void setSystemProperty(String key,
                                  String value)

### getSystemProperty

    public String getSystemProperty(String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.